Package org.silverpeas.components.resourcesmanager.model

## Class ReservedResource

- java.lang.Object
- - org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<E,​I>
  - - org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<ReservedResource,​ReservedResourcePk>
    - - org.silverpeas.components.resourcesmanager.model.ReservedResource

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.persistence.datasource.model.IdentifiableEntity`

      @Entity
      public class ReservedResource
      extends org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<ReservedResource,​ReservedResourcePk>
      implements Serializable

  Author:
    ehugonnet
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReservedResource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Reservation` | `getReservation()` |
    `long` | `getReservationId()` |
    `Resource` | `getResource()` |
    `long` | `getResourceId()` |
    `String` | `getStatus()` |
    `int` | `hashCode()` |
    `boolean` | `isRefused()` |
    `boolean` | `isValidated()` |
    `boolean` | `isValidationRequired()` |
    `void` | `setReservation​(Reservation reservation)` |
    `void` | `setReservedResourceId​(String resourceId, String reservationId)` |
    `void` | `setResource​(Resource resource)` |
    `void` | `setStatus​(String status)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity

      `performBeforePersist, performBeforeRemove, performBeforeUpdate`

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity

      `getId, getNativeId, isPersisted, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservedResource

          public ReservedResource()

  - ### Method Detail

    - #### setReservedResourceId

          public void setReservedResourceId​(String resourceId,
                                            String reservationId)

    - #### getReservation

          public Reservation getReservation()

    - #### setReservation

          public void setReservation​(Reservation reservation)

    - #### getReservationId

          public long getReservationId()

    - #### getResource

          public Resource getResource()

    - #### setResource

          public void setResource​(Resource resource)

    - #### getResourceId

          public long getResourceId()

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus​(String status)

    - #### isValidated

          public boolean isValidated()

    - #### isRefused

          public boolean isRefused()

    - #### isValidationRequired

          public boolean isValidationRequired()

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<ReservedResource,​ReservedResourcePk>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<ReservedResource,​ReservedResourcePk>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`